> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.sofer.ai/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.sofer.ai/_mcp/server.

# List Folder Documents

GET https://api.sofer.ai/v1/folders/{folder_id}/documents

List owned documents directly contained by an owned folder.

Reference: https://docs.sofer.ai/api-reference/folders/list-folder-documents

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `folder_id` (UUID, required) — Folder ID.

### Query parameters

- `cursor` (string, optional) — Opaque cursor returned by the previous page.
- `limit` (integer, optional) — Number of documents to return. Defaults to 50 and cannot exceed 100.
- `archived` (boolean, optional) — Return archived or active documents. Defaults to false.
- `type` (enum, optional) — Optionally filter by document type.
  - Allowed values: `transcript`, `text`

## Response

### 200

- `documents` (list of Document, required) — Documents in this page.
- `next_cursor` (string, optional) — Opaque cursor for the next page, or null when this is the last page.

## Errors

### 401 Authentication Error

Authentication error

### 404 Folder Not Found

Folder not found or not owned by the authenticated API user.

### 400 Invalid Cursor

The pagination cursor is invalid.

## Types

### Document

- `id` (UUID, required) — Stable document ID.
- `type` (string, required) — Document source type.
- `title` (string, required) — Display title.
- `status` (string, required) — Current document or processing status.
- `archived` (boolean, required) — Whether the document is archived.
- `created_at` (datetime, required) — Creation time.
- `folder_id` (UUID, optional) — Containing folder, or null for root.
- `updated_at` (datetime, optional) — Last update time, when available.
- `text` (string, optional) — Visible plain text for completed text and transcript documents when available.
- `html` (string, optional) — Editor-compatible HTML for completed documents when available.

## Examples

**Response**

```json
{
  "documents": [
    {
      "id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
      "type": "type",
      "title": "title",
      "status": "status",
      "archived": true,
      "created_at": "2024-01-15T09:30:00Z",
      "folder_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
      "updated_at": "2024-01-15T09:30:00Z",
      "text": "text",
      "html": "html"
    },
    {
      "id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
      "type": "type",
      "title": "title",
      "status": "status",
      "archived": true,
      "created_at": "2024-01-15T09:30:00Z",
      "folder_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
      "updated_at": "2024-01-15T09:30:00Z",
      "text": "text",
      "html": "html"
    }
  ],
  "next_cursor": "next_cursor"
}
```

**SDK Code**

```python
import requests

url = "https://api.sofer.ai/v1/folders/d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32/documents"

headers = {"Authorization": "Bearer <apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.sofer.ai/v1/folders/d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32/documents';
const options = {method: 'GET', headers: {Authorization: 'Bearer <apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.sofer.ai/v1/folders/d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32/documents"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.sofer.ai/v1/folders/d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32/documents")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.sofer.ai/v1/folders/d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32/documents")
  .header("Authorization", "Bearer <apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.sofer.ai/v1/folders/d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32/documents', [
  'headers' => [
    'Authorization' => 'Bearer <apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.sofer.ai/v1/folders/d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32/documents");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.sofer.ai/v1/folders/d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32/documents")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```